• RE: Installion woes: CSD Python API 0.7.0 on a Mac

    Dave - I can confirm that downloading the pre-compiled Python works for me - thanks! The only issue is that now I have three different copies of Python 2.7 on my system, the Apple-installed version (/usr/bin/python), the Homebrew copy (/usr/local/bin/python), and now the "official" pre-compiled version (/Library/Frameworks/Python.framework/Versions/2.7/bin/python). It would be nice to be able to run the CSD Python API using the Homebrew version since using a different Python installation can interfere with other Homebrew package installations.

    FYI - this is what I put in my .bash_profile:

    export CSDHOME=/Applications/CCDC/CSD_System_2015
    export CCDC_TOOLKIT_SQLITE_DATABASE=/Applications/CCDC/CSD_System_2015/DATA/CSD_536/as536be_ASER.sqlite
    export PYTHONHOME=/Library/Frameworks/Python.framework/Versions/2.7
    export DYLD_LIBRARY_PATH=$PYTHONHOME/lib/python2.7/site-packages/ccdc/_lib
    export DYLD_FRAMEWORK_PATH=$PYTHONHOME/lib/python2.7/site-packages/ccdc/_lib

  • RE: Installion woes: CSD Python API 0.7.0 on a Mac

    I am seeing similar errors on my Mac (OS X 10.10.4, Python 2.7.10 installed via Homebrew), so any suggestions would be greatly appreciated.

    Dean